Skip to content

HTTPS clone URL

Subversion checkout URL

You can clone with
or
.
Download ZIP

Loading…

Fix Gemfile & .gemspec #93

Merged
merged 4 commits into from

3 participants

@unakatsuo

Here is the change list

  • use modern style for Gemfile.
  • put Sinatra::Contrib::VERSION constant in .gemspec
  • eventmachine gem is only needed for development.
@zzak
Owner

This looks good to me, :+1:

If noone objects, I will merge.

@rkh
Owner

seems good

@zzak zzak merged commit 04721ad into sinatra:master

1 check passed

Details default The Travis build passed
@zzak
Owner

@unakatsuo Thank you!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
This page is out of date. Refresh to see the latest.
View
4 Gemfile
@@ -1,7 +1,7 @@
-source "http://rubygems.org" unless ENV['QUICK']
+source "https://rubygems.org" unless ENV['QUICK']
gemspec
-gem 'sinatra', :git => 'git://github.com/sinatra/sinatra'
+gem 'sinatra', :github => 'sinatra/sinatra'
group :development, :test do
platform :ruby_18, :jruby do
View
1  Rakefile
@@ -44,7 +44,6 @@ task 'sinatra-contrib.gemspec' do
content.sub!(/ s\.#{field} = \[\n( .*\n)* \]/, updated)
end
- content.sub! /(s\.version.*=\s+).*/, "\\1\"#{Sinatra::Contrib::VERSION}\""
File.open('sinatra-contrib.gemspec', 'w') { |f| f << content }
end
View
2  lib/sinatra/contrib/version.rb
@@ -4,7 +4,7 @@ def self.version
VERSION
end
- SIGNATURE = [1, 3, 1]
+ SIGNATURE = [1, 4, 0]
VERSION = SIGNATURE.join('.')
VERSION.extend Comparable
View
5 sinatra-contrib.gemspec
@@ -1,7 +1,8 @@
# Run `rake sinatra-contrib.gemspec` to update the gemspec.
+require File.expand_path('../lib/sinatra/contrib/version', __FILE__)
Gem::Specification.new do |s|
s.name = "sinatra-contrib"
- s.version = "1.4.0"
+ s.version = Sinatra::Contrib::VERSION
s.description = "Collection of useful Sinatra extensions"
s.homepage = "http://github.com/sinatra/sinatra-contrib"
s.summary = s.description
@@ -117,8 +118,8 @@ Gem::Specification.new do |s|
s.add_dependency "tilt", "~> 1.3"
s.add_dependency "rack-test"
s.add_dependency "rack-protection"
- s.add_dependency "eventmachine"
+ s.add_development_dependency "eventmachine"
s.add_development_dependency "rspec", "~> 2.3"
s.add_development_dependency "haml"
s.add_development_dependency "erubis"
Something went wrong with that request. Please try again.